// mailparser": "^2.1.0",
const { simpleParser } = require('mailparser');
const Mbox             = require('./src/mbox');
const mbox             = new Mbox({ stream : true });

// wait for message events
mbox.on('message', function(msg) {
  console.log('M', msg);
  // parse message using MailParser
  simpleParser(msg).then(mail => {
    console.log('From   :', mail.headers.get('from').value[0].address);
    console.log('Subject:', mail.headers.get('subject'), '\n');
  }).catch(e => {
    console.error('Error parsing e-mail');
    console.error(e);
  });
  /*
  let mailparser = new MailParser({ streamAttachments : true });
  mailparser.on('headers', function(headers) {
    console.log('From   :', headers.get('from').value[0].address);
    console.log('Subject:', headers.get('subject'), '\n');
  });
  mailparser.write(msg);
  mailparser.end();
  */
});

// pipe stdin to mbox parser
process.stdin.pipe(mbox);
